# DaprProtos.MetadataHTTPEndpointOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.MetadataHTTPEndpointOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.MetadataHTTPEndpoint`, `DaprProtos.MetadataHTTPEndpoint.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.MetadataHTTPEndpointOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` `string name = 1 [json_name = "name"];`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1 [json_name = "name"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getName

    String getName()

`string name = 1 [json_name = "name"];`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.